# argument '$1' is checked and if valid assigned as to 'keyID'
checkValid_keyID(){
	local fail=0
	if ! [[ $1 == +([0-9]) ]]; then
		p_message "Not an valid keyID: '$1'"
		fail=1
	elif (( !opt_interactive & keyID != -1 )); then
		p_message "keyID already set."
		fail=1
	elif [[ "${1:0:1}" == "0" ]]; then
		p_message "keyID can't be or begin with zero."
		fail=1
	elif (( $1 == 0 )); then
		p_message "No such keyID."
		fail=1
	fi
	(( fail )) && keyID=-1 && return 1
	keyID=$1
	(( keyID-- ))  # minus 1, iphrArray is 0 indexed
	debugMsg "keyID set to: '$(( keyID + 1 ))'"
	return 0
}
# readKeyID(){
# 	! [[ $1 == +([0-9]) ]] && p_err "'$1' Not an valid keyID." && usage && return 1
# 	(( !opt_interactive )) && (( keyID != -1 )) && p_err "keyID already set." && return 1
# 	keyID=$1
# 	[[ "${1:0:1}" == "0" ]] && p_err "keyID can't be or begin with zero." && return 1
# 	(( $keyID == 0 )) && p_err "No such keyID." && return 1
# 	(( keyID-- ))  # minus 1, iphrArray is 0 indexed
# 	debugMsg "keyID set to: '$(( keyID + 1 ))'"
# }
